# Generated by Django 4.0.3 on 2023-01-31 16:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AutomobileVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_href', models.CharField(max_length=200, unique=True)),
                ('color', models.CharField(max_length=50)),
                ('year', models.PositiveSmallIntegerField()),
                ('model', models.CharField(max_length=5000)),
                ('vin', models.CharField(max_length=17, unique=True)),
                ('manufacturer', models.CharField(max_length=100)),
                ('picture_url', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('employee_number', models.PositiveBigIntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Appointments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vin', models.CharField(max_length=17)),
                ('customer_name', models.CharField(max_length=100)),
                ('date', models.DateField()),
                ('time', models.TimeField()),
                ('vip', models.BooleanField(default=False)),
                ('finished', models.BooleanField(default=False)),
                ('reason', models.TextField(max_length=500)),
                ('technician', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='appoitment', to='service_rest.technician')),
            ],
        ),
    ]
